# network_udp.h File Reference

Sending and receiving UDP messages. More...

`#include "core/address.h"`

Go to the source code of this file.

## Functions
void | NetworkUDPInitialize ()
void | NetworkUDPSearchGame ()
void | NetworkUDPQueryMasterServer ()
void | NetworkUDPQueryServer (NetworkAddress address, bool manually=false)
void | NetworkUDPAdvertise ()
void | NetworkUDPRemoveAdvertise (bool blocking)
| Remove our advertise from the master-server.
void | NetworkUDPClose ()

## Detailed Description

Sending and receiving UDP messages.

Definition in file network_udp.h.

## Function Documentation

void NetworkUDPRemoveAdvertise | ( | bool | blocking | ) |

Remove our advertise from the master-server.

Parameters:

  | blocking | whether to wait until the removal has finished.

Definition at line 486 of file network_udp.cpp.

References _network_server, _networking, and ThreadObject::New().

Referenced by NetworkDisconnect().